
Summary: Lotus Sametime Community Client library
Name:	 libmeanwhile0
Version: 0.4.2
Release: 0.2%{?dist}%{?kde}
License: LGPL
Group: 	 Applications/Internet
URL: 	 http://meanwhile.sourceforge.net/
Source:  http://dl.sf.net/meanwhile/meanwhile-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: glib2-devel >= 2.2
Obsoletes: meanwhile <= 0.4.2

%description
The heart of the Meanwhile Project is the Meanwhile library, providing the
basic Lotus Sametime session functionality along with the core services;
Presence, Messaging, Conferencing, and Storage. This extensible client
interface allows additional services to be added to a session at runtime,
allowing for simple integration of future service handlers such as
whiteboard, screen-sharing, and file transfer.

%package devel
Summary: Header files, libraries and development documentation for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Obsoletes: meanwhile-devel <= 0.4.2
Conflicts: meanwhile-devel > 0.4.2
Requires: glib2-devel
%description devel
%{summary}.


%prep
%setup -q -n meanwhile-%{version}



%build
%configure \
  --disable-static

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install%{!?debug_package:-strip} DESTDIR=$RPM_BUILD_ROOT


rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig 

%postun -p /sbin/ldconfig 


%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_libdir}/lib*.so.*

%files devel
%defattr(-, root, root)
%{_includedir}/meanwhile/
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Tue Jan 03 2006 Rex Dieter 0.4.2-0.1.kde
- libmeanwhile0-0.4.2 compat pkg

* Tue Mar 22 2005 Rex Dieter - 0.4.0-0.1.kde
- 0.4.0

* Wed Mar 16 2005 Rex Dieter - 0.3-0.1.kde
- 0.3

